Index: uspace/srv/locsrv/locsrv.c
===================================================================
--- uspace/srv/locsrv/locsrv.c	(revision 4f13e19af6dd310dbc87a66e115ff6ac62b71bde)
+++ uspace/srv/locsrv/locsrv.c	(revision eb13ef8440f5e94338275db8fd83e4e513c82ab1)
@@ -342,5 +342,5 @@
 	async_get_call(&icall);
 
-	if (IPC_GET_IMETHOD(icall) != LOC_SERVER_REGISTER) {
+	if (IPC_GET_IMETHOD(&icall) != LOC_SERVER_REGISTER) {
 		async_answer_0(&icall, EREFUSED);
 		return NULL;
@@ -547,5 +547,5 @@
 
 	fibril_mutex_lock(&services_list_mutex);
-	svc = loc_service_find_id(IPC_GET_ARG1(*icall));
+	svc = loc_service_find_id(IPC_GET_ARG1(icall));
 	if (svc == NULL) {
 		fibril_mutex_unlock(&services_list_mutex);
@@ -583,5 +583,5 @@
 	fibril_mutex_lock(&cdir.mutex);
 
-	cat = category_get(&cdir, IPC_GET_ARG1(*icall));
+	cat = category_get(&cdir, IPC_GET_ARG1(icall));
 	if (cat == NULL) {
 		fibril_mutex_unlock(&cdir.mutex);
@@ -623,5 +623,5 @@
 	fibril_mutex_lock(&services_list_mutex);
 
-	svc = loc_service_find_id(IPC_GET_ARG1(*icall));
+	svc = loc_service_find_id(IPC_GET_ARG1(icall));
 	if (svc == NULL) {
 		fibril_mutex_unlock(&services_list_mutex);
@@ -671,5 +671,5 @@
 	fibril_mutex_lock(&services_list_mutex);
 
-	svc = loc_service_find_id(IPC_GET_ARG1(*icall));
+	svc = loc_service_find_id(IPC_GET_ARG1(icall));
 	if (svc == NULL) {
 		fibril_mutex_unlock(&services_list_mutex);
@@ -715,6 +715,6 @@
 	 * Get ID from request
 	 */
-	iface_t iface = IPC_GET_ARG1(*call);
-	service_id_t id = IPC_GET_ARG2(*call);
+	iface_t iface = IPC_GET_ARG1(call);
+	service_id_t id = IPC_GET_ARG2(call);
 	loc_service_t *svc = loc_service_find_id(id);
 
@@ -774,5 +774,5 @@
 	 */
 	if (svc == NULL) {
-		if (IPC_GET_ARG1(*icall) & IPC_FLAG_BLOCKING) {
+		if (IPC_GET_ARG1(icall) & IPC_FLAG_BLOCKING) {
 			/* Blocking lookup */
 			fibril_condvar_wait(&services_list_cv,
@@ -827,5 +827,5 @@
 	 */
 	if (namespace == NULL) {
-		if (IPC_GET_ARG1(*icall) & IPC_FLAG_BLOCKING) {
+		if (IPC_GET_ARG1(icall) & IPC_FLAG_BLOCKING) {
 			/* Blocking lookup */
 			fibril_condvar_wait(&services_list_cv,
@@ -932,8 +932,8 @@
 
 	loc_namespace_t *namespace =
-	    loc_namespace_find_id(IPC_GET_ARG1(*icall));
+	    loc_namespace_find_id(IPC_GET_ARG1(icall));
 	if (namespace == NULL) {
 		loc_service_t *svc =
-		    loc_service_find_id(IPC_GET_ARG1(*icall));
+		    loc_service_find_id(IPC_GET_ARG1(icall));
 		if (svc == NULL)
 			async_answer_1(icall, EOK, LOC_OBJECT_NONE);
@@ -958,5 +958,5 @@
 
 	loc_namespace_t *namespace =
-	    loc_namespace_find_id(IPC_GET_ARG1(*icall));
+	    loc_namespace_find_id(IPC_GET_ARG1(icall));
 	if (namespace == NULL)
 		async_answer_0(icall, EEXIST);
@@ -1079,5 +1079,5 @@
 
 	loc_namespace_t *namespace =
-	    loc_namespace_find_id(IPC_GET_ARG1(*icall));
+	    loc_namespace_find_id(IPC_GET_ARG1(icall));
 	if (namespace == NULL) {
 		fibril_mutex_unlock(&services_list_mutex);
@@ -1135,5 +1135,5 @@
 	fibril_mutex_lock(&cdir.mutex);
 
-	category_t *cat = category_get(&cdir, IPC_GET_ARG1(*icall));
+	category_t *cat = category_get(&cdir, IPC_GET_ARG1(icall));
 	if (cat == NULL) {
 		fibril_mutex_unlock(&cdir.mutex);
@@ -1247,5 +1247,5 @@
 static void loc_null_destroy(ipc_call_t *icall)
 {
-	sysarg_t i = IPC_GET_ARG1(*icall);
+	sysarg_t i = IPC_GET_ARG1(icall);
 	if (i >= NULL_SERVICES) {
 		async_answer_0(icall, ELIMIT);
@@ -1281,6 +1281,6 @@
 	errno_t retval;
 
-	svc_id = IPC_GET_ARG1(*icall);
-	cat_id = IPC_GET_ARG2(*icall);
+	svc_id = IPC_GET_ARG1(icall);
+	cat_id = IPC_GET_ARG2(icall);
 
 	fibril_mutex_lock(&services_list_mutex);
@@ -1419,10 +1419,10 @@
 		async_get_call(&call);
 
-		if (!IPC_GET_IMETHOD(call)) {
+		if (!IPC_GET_IMETHOD(&call)) {
 			async_answer_0(&call, EOK);
 			break;
 		}
 
-		switch (IPC_GET_IMETHOD(call)) {
+		switch (IPC_GET_IMETHOD(&call)) {
 		case LOC_SERVER_UNREGISTER:
 			if (server == NULL)
@@ -1475,10 +1475,10 @@
 		async_get_call(&call);
 
-		if (!IPC_GET_IMETHOD(call)) {
+		if (!IPC_GET_IMETHOD(&call)) {
 			async_answer_0(&call, EOK);
 			break;
 		}
 
-		switch (IPC_GET_IMETHOD(call)) {
+		switch (IPC_GET_IMETHOD(&call)) {
 		case LOC_SERVICE_GET_ID:
 			loc_service_get_id(&call);
